/* SH: DDL Extractor started at 11.02.2007 11:58:23.234                       */

SET SQL DIALECT 3;

SET NAMES ISO8859_1;

/* < == Extracting database header... ===================================== > */
/* < ====================================================================== > */

CREATE DATABASE 'localhost:C:\daten\Firebird\tms_sd.GDB'
USER 'SYSDBA' PASSWORD 'masterkey'
PAGE_SIZE 4096
DEFAULT CHARACTER SET ISO8859_1;

/* < == Extracting generators... ========================================== > */
/* < ====================================================================== > */

CREATE GENERATOR GEN_GROUPID;

CREATE GENERATOR GEN_USERACCESSID;

CREATE GENERATOR GEN_USERID;

/* < == Extracting tables... ============================================== > */
/* < ====================================================================== > */

CREATE TABLE GROUPACCESS (
  GROUPNAME  VARCHAR(40),
  PERMISSION VARCHAR(40)
);

CREATE TABLE GROUPMEMBERS (
  USERNAME  VARCHAR(40),
  GROUPNAME VARCHAR(40)
);

CREATE TABLE GROUPS (
  GROUPID     INTEGER,
  GROUPNAME   VARCHAR(40),
  DESCRIPTION VARCHAR(100)
);

CREATE TABLE PERMISSIONS (
  PERMISSION VARCHAR(40),
  ITEMS      BLOB SUB_TYPE 1 SEGMENT SIZE 80,
  ACTIONS    INTEGER,
  FORMNAME   VARCHAR(40)
);

CREATE TABLE SECUSER (
  LOGINNAME   VARCHAR(40),
  USERID      INTEGER,
  FULLNAME    VARCHAR(50),
  PWD         VARCHAR(40),
  LASTACCESS  TIMESTAMP,
  ENABLED     CHAR(1),
  CREATEDDATE TIMESTAMP,
  LASTACCTIME TIME,
  CREATEDTIME TIME,
  ACCESSCOUNT INTEGER
);

CREATE TABLE USERACCESS (
  ID         INTEGER,
  USERNAME   VARCHAR(40),
  PERMISSION VARCHAR(40)
);

COMMIT WORK;

/* SH: DDL Extractor ended at 11.02.2007 11:58:23.390                         */
/* SH: Elapsed time 00:00:00.156                                              */

